跟踪委托列表查询
响应示例
{
"success": true,
"code": 0,
"data": [
{
"id": "739628779353703936",
"symbol": "DOGE_USDT",
"leverage": 2,
"side": 1,
"vol": 100,
"openType": 1,
"trend": 1,
"activePrice": 0,
"markPrice": 0.18657,
"backType": 1,
"backValue": 0.02,
"triggerPrice": 0.1903,
"orderId": 0,
"errorCode": 0,
"state": 1,
"createTime": 1762011642623,
"updateTime": 1762011642623,
"positionMode": 1,
"reduceOnly": false,
"triggerType": 1
}
]
}
- GET
/api/v1/private/trackorder/list/orders
需要权限: 读取订单信息
请求参数:
| 参数名 | 类型 | 是否必填 | 说明 |
|---|---|---|---|
| symbol | string | false | 合约名 |
| states | List<int> | true | 订单状态:0未激活1已激活2触发成功3触发失败4已取消 |
| side | int | false | 订单方向 1开多,2平空,3开空,4平多 |
| start_time | long | false | 查询开始时间(Unix毫秒时间戳) |
| end_time | long | false | 查询结束时间(Unix毫秒时间戳) |
| pageIndex | int | false | 页码 |
| pageSize | int | false | 每页数量 |
响应参数:
| 参数名 | 类型 | 说明 |
|---|---|---|
| id | long | 订单id |
| symbol | string | 合约名 |
| leverage | int | 杠杆倍数 |
| side | int | 1开多,2平空,3开空,4平多 |
| vol | decimal | 委托数量 |
| openType | int | 开仓类型,1:逐仓,2:全仓 |
| trend | int | 价格类型:1最新价2合理价3指数价 |
| activePrice | decimal | 激活价格 |
| markPrice | decimal | 对标价格(激活后的最高价或者最低价) |
| backType | int | 回调类型1回调百分比2回调幅度值 |
| backValue | decimal | 回调幅度 |
| triggerPrice | decimal | 触发价格(随对标价格更新而更新) |
| orderId | decimal | 触发成功后的委托单id |
| errorCode | decimal | 触发失败的错误码 |
| state | decimal | 当前跟踪委托单状态(0未激活 1 已激活 2 执行成功 3 执行失败 4 已取消) |
| createTime | long | 创建时间 |
| updateTime | long | 更新时间 |
| positionMode | int | 持仓类型 默认0:历史订单无记录 1:双向 2:单向 |
| reduceOnly | boolean | 只减仓 |
| triggerType | int | 触发条件 1-大于等于 2-小于等于 |